Bug 6324 - Issue Access Status = 0
Issue Access Status = 0
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: General
2.4.2
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-04 09:23 PST by Bozana Bokan
Modified: 2012-12-14 14:05 PST (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS 2.3.3-3 (723 bytes, patch)
2011-01-04 09:23 PST, Bozana Bokan
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bozana Bokan 2011-01-04 09:23:18 PST
Created attachment 3405 [details]
Patch against OJS 2.3.3-3

Concerning the class Issue.inc.php there are two possible access statuses for an issue: 
define('ISSUE_ACCESS_OPEN', 1);
define('ISSUE_ACCESS_SUBSCRIPTION', 2);

If journal publishing mode is open, i.e. the first option ("The journal will provide open access to its contents.") in the setup step 4 is selected, then the value "0" is inserted in the database table "issues" column "access_status" when an editor creates a new issue.
Comment 1 Bozana Bokan 2011-01-04 09:28:41 PST
Maybe it's not needed to correct this. Then, in some cases, one should consider also the value "0".
If it's going to be corrected, then maybe the old values "0" in the database should be corrected when upgrading?
Comment 2 Alec Smecher 2011-01-04 09:41:45 PST
Scheduling against the next version (2.3.4). Are there cases where you're seeing strange behavior from the system, or is this primarily a code clean-up and consistency problem?
Comment 3 Bozana Bokan 2011-01-04 09:54:43 PST
I have to check the article status/mode for the OpenAIRE plug-in (and display it via OAI), thus I have to consider both values at the moment, something like this:
if ($issue->getAccessStatus() == 0 || $issue->getAccessStatus() == ISSUE_ACCESS_OPEN) { $status = 'openAccess'; }
I haven't seen any strange behavior of the system :-)
Comment 4 Alec Smecher 2011-01-07 09:29:41 PST
Gotcha. Scheduling for OJS 2.3.4 -- we typically file bugs against the version they're going to be fixed in.
Comment 5 Alec Smecher 2012-12-14 14:00:02 PST
Issue access status zero (fix for OJS 3.0)
https://github.com/pkp/ojs/commit/ba6bb7eb4686d53dfb8e341c967508483fc161ed
Comment 6 Alec Smecher 2012-12-14 14:00:43 PST
Thanks, Bozana, I've finally gotten around to committing fixes for this. I committed your fix unchanged for 2.4.1; for 3.0, I've written an upgrade script to correct access_status to 1 for these cases (and removed the extra checks from a few places).
Comment 7 Alec Smecher 2012-12-14 14:05:01 PST
Issue access status zero (fix for OJS 2.4.1)
https://github.com/pkp/ojs/commit/ec20e82685a2e3d9b4bb957a5a2fd1436466fd15